Skip to main content

Overview

The Job Details API fetches the complete details of a single job posting using its job_id. The job_id is obtained from the Get Jobs API. Results are returned directly in the API response.

Endpoint Details

  • Method: GET
  • Endpoint: api/enterprise/company/jobs/detail

Authentication requirements

  • Include a valid JWT token in your request header
  • If you don’t have a token yet, you can get one from the /auth/token/ endpoint first.

Request

Request Parameters

Header Parameters

token
string
required
JWT token obtained from the Authentication request

URL Parameters

job_id
string
required
Unique identifier of the job posting for which details need to be fetched (e.g., 4426080772). Obtain this from the id field returned by the Get Jobs API.

Response

Successful Response Fields

Returns a JSON object with the following structure:
status
string
"success" if the request was processed successfully.
data
object
The job posting object.
credits_consumed
number
Number of API credits consumed by this request.
curl --location 'https://api.wokelo.ai/api/enterprise/company/jobs/detail?job_id=4426080772' \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json'
{
    "status": "success",
    "data": {
        "id": "4426080772",
        "title": "Service Preparation Specialist",
        "location": "Vittuone, Lombardy, Italy",
        "description": "What To Expect\nIn qualità di Specialista nella Preparazione del Servizio Tecnico, fornirai un contributo chiave al nostro team di Preparazione Service...",
        "skills": [],
        "benefits": [],
        "url": "https://www.linkedin.com/jobs/view/4426080772/",
        "type": "Full-time",
        "remote_allow": false,
        "salary_details": {},
        "compensation_type": null,
        "pay_period": null,
        "currency_code": null,
        "expire_at": null,
        "job_functions": [
            "Innovation in electric cars and clean energy products"
        ],
        "industries": [
            "Motor Vehicle Manufacturing"
        ],
        "experience_level": "Entry level"
    },
    "credits_consumed": 0.1
}